Application: gvSIG desktop - gvSIG bugs #4389

Map Sheets: Configure layout using current grid returns a ClassCastException

10/04/2016 04:30 PM - Antonio Falciano

Status: Closed

Priority: Normal

Assignee:

Category: Document map sheets

Target version: 2.4.0-2821 (rev. org.gvsig.desktop-2.0.18]

% Done: 0%
Spent time: 0.00 hour

)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2447 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

"Configure layout using current grid" dialog of Map Sheets returns a ClassCastException:

INFO AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -

org.gvsig.mapsheets.app.mainplugin:org.gvsig.mapsheets.extension.MapSheetsManipulationExtension.execute('mapsheets-map-q

ap-configuration’)

ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - java.lang.ClassCastException:
org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D cannot be cast to org.gvsig.mapsheets.geom.RotatedEnvelope
java.lang.ClassCastException: org.gvsig.fmap.geom.jts.primitive.surface.polygon.Polygon2D cannot be cast to

org.gvsig.mapsheets.geom.RotatedEnvelope

at org.gvsig.mapsheets.grid.MapSheetsGrid.getGeometries(MapSheetsGrid.java:436)

at org.gvsig.mapsheets.gui.MapSheetSelectionDialog.actionPerformed(MapSheetSelectionDialog.java:322)

at javax.swing.AbstractButton.fireActionPerformed(Unknown

Source)

History

#1 - 06/07/2017 11:02 AM - Francisco Diaz Carsi

- Status changed from New to Fixed

#2 - 06/07/2017 11:09 AM - Francisco Diaz Carsi

- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2821 (rev. org.gvsig.desktop-2.0.187)

#3 - 06/14/2017 05:09 PM - Alvaro Anguix
- Status changed from Fixed to Closed
